Zum Hauptinhalt springen
POST
/
cms
/
source-code
/
2026-03
/
{environment}
/
content
/
{path}
Upload a file
curl --request POST \
  --url https://api.hubapi.com/cms/source-code/2026-03/{environment}/content/{path} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "createdAt": 123,
  "folder": true,
  "id": "<string>",
  "name": "<string>",
  "updatedAt": 123,
  "archivedAt": 123,
  "children": [
    "<string>"
  ],
  "hash": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

environment
string
erforderlich

The environment in which the content file will be uploaded. Typically represents different stages like 'staging' or 'production'.

path
string
erforderlich

The specific path within the environment where the content file will be stored. This should be a valid path string.

Pattern: .+

Body

multipart/form-data
file
file

Antwort

successful operation

createdAt
integer<int64>
erforderlich

Timestamp of when the object was first created.

folder
boolean
erforderlich

Determines whether or not this path points to a folder.

id
string
erforderlich

The path of the file in the CMS Developer File System.

name
string
erforderlich

The name of the file.

updatedAt
integer<int64>
erforderlich

Timestamp of when the object was last updated.

archivedAt
integer<int64>

Timestamp of when the object was archived (deleted).

children
string[]

If the object is a folder, contains the filenames of the files within the folder.

hash
string

A unique identifier for the file's content, used to verify data integrity.

Last modified on April 9, 2026